## org.apache.mahout.math.hadoop.similarity
Class RowSimilarityJob.WeightedOccurrencesPerColumnReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<VarIntWritable,org.apache.mahout.math.hadoop.similarity.WeightedOccurrence,VarIntWritable,org.apache.mahout.math.hadoop.similarity.WeightedOccurrenceArray>
          org.apache.mahout.math.hadoop.similarity.RowSimilarityJob.WeightedOccurrencesPerColumnReducer

Enclosing class:
  RowSimilarityJob

    public static class RowSimilarityJob.WeightedOccurrencesPerColumnReducer

extends org.apache.hadoop.mapreduce.Reducer<VarIntWritable,org.apache.mahout.math.hadoop.similarity.WeightedOccurrence,VarIntWritable,org.apache.mahout.math.hadoop.similarity.WeightedOccurrenceArray>

collects all `WeightedOccurrence`s for a column and writes them to a `WeightedOccurrenceArray`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`RowSimilarityJob.WeightedOccurrencesPerColumnReducer()`

Method Summary
`protected void` `reduce(VarIntWritable column, java.lang.Iterable<org.apache.mahout.math.hadoop.similarity.WeightedOccurrence> weightedOccurrences, org.apache.hadoop.mapreduce.Reducer.Context ctx)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSimilarityJob.WeightedOccurrencesPerColumnReducer

    public RowSimilarityJob.WeightedOccurrencesPerColumnReducer()

Method Detail

### reduce

    protected void reduce(VarIntWritable column,
                          java.lang.Iterable<org.apache.mahout.math.hadoop.similarity.WeightedOccurrence> weightedOccurrences,
                          org.apache.hadoop.mapreduce.Reducer.Context ctx)
                   throws java.io.IOException,
                          java.lang.InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<VarIntWritable,org.apache.mahout.math.hadoop.similarity.WeightedOccurrence,VarIntWritable,org.apache.mahout.math.hadoop.similarity.WeightedOccurrenceArray>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.